Subject: Re: bug#77994: 30.1; Yanking paths or Kanji from Windows produces incorrect behaviour for pgtk build on WSL2

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Jul 2025 15:27:47 +0300

> From: Tim Jim <[email-masked]>
> Date: Tue, 1 Jul 2025 09:53:28 +0800
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> Thanks for the tip! You may be on the right train of thought as the extra mull characters only appear in
> certain circumstances (such as copying paths from the Windows File Explorer path bar, and not when
> copying the same path from a text file, for example. 
> 
> Perhaps I'll have to give the W32 config a go - I had mainly used the WSL2 build primarily out of familiarity in
> Linux and convenience (I'll have to read up on the W32 side), but the encoding issues and GTK-hang-on -
> disconnect bug can be quite annoying! 
> 
> Thanks for your help also, Eli.
> 
> Generally, are these bugs investigated when someone with time and knowledge happens to stumble across
> them? Thanks.

They should be, but we cannot know when we will have such expertise
available, sorry.

One idea I can suggest is to look at the clipboard data in various
formats by using some clipboard viewer program.  Maybe this way you
will discover what is going on, if you find a tool that can show you
the raw bytes of the text the Unix side of WSL sees.